查询亚马逊源报表 - 移除货件(新)
POST
/erp/sc/statistic/removalShipment/list查询 Reports-Fulfillment-Removal Shipment Detail 报表 > 报表为seller_id维度,按sid请求会返回对应seller_id下所有移除订单数据,同一个seller_id授权的店铺任取一个sid请求报表数据即可
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/statistic/removalShipment/list | HTTPS | POST | 1 |
请求参数
sidintegerseller_idstringstart_datestring必填end_datestring必填offsetintegerlengthinteger请求示例
{
"sid": 109,
"seller_id": "A1MQMW3JWPNCBX",
"start_date": "2020-01-01",
"end_date": "2024-08-05",
"offset": 0,
"length": 1000
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
sidinteger必填midinteger必填seller_idstring必填seller_account_namestring必填marketplacestring必填uuid_newstring必填uuid_num_newinteger必填order_idstring必填skustring必填fnskustring必填dispositionstring必填shipped_quantityinteger必填carrierstring必填tracking_numberstring必填seller_namearray<object>必填隐藏子属性
sidstring必填namestring必填midstring必填marketplacestring必填removal_order_typestring必填overseas_removal_order_nostring必填shipment_datestring必填shipment_date_timestampinteger必填request_datestring必填local_infoarray<object>必填隐藏子属性
local_skustring必填local_namestring必填delivery_infoobject必填隐藏子属性
ship_postal_codestring必填ship_statestring必填ship_citystring必填ship_countrystring必填districtstring必填countystring必填phonestring必填address_line1string必填address_line2string必填address_line3string必填namestring必填addressstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "7BD81461-BF0E-396E-47B5-8742673811DF",
"response_time": "2022-08-29 19:32:31",
"data": [
{
"sid": 0,
"uuid": "4981415d45e24ea351566863f39dab5c",
"uuid_num": 1,
"uuid_new": "7895469d45e27ea311569893f39dab4c",
"uuid_num_new": 1,
"order_id": "8P_US_0415",
"sku": "Black_ Head_Rope",
"fnsku": "B09MT39ABC",
"disposition": "Return",
"shipped_quantity": 2,
"carrier": "",
"tracking_number": "",
"removal_order_type": "Return",
"seller_id": "A1MQMWXXXPNABC",
"mid": null,
"seller_name": [
{
"sid": 16,
"name": "test1",
"mid": 1,
"marketplace": "美国"
},
{
"sid": 18,
"name": "test2",
"mid": 3,
"marketplace": "墨西哥"
},
{
"sid": 3387,
"name": "test3",
"mid": 2,
"marketplace": "加拿大"
}
],
"marketplace": null,
"seller_account_name": "TEST",
"overseas_removal_order_no": "OWR220804000005",
"shipment_date": "2022-06-02T19:01:19+10:00",
"shipment_date_timestamp": 1654160479,
"request_date":"2022-08-04T12:47:10+00:00",
"delivery_info": {
"ship_postal_code": "",
"ship_state": "",
"ship_city": "",
"ship_country": "",
"district": "",
"county": "",
"phone": "",
"address_line1": "",
"address_line2": "",
"address_line3": "",
"name": "",
"address": ""
},
"local_info": [
{
"local_sku": "16",
"local_name": "test1"
}
}
],
"total": 1
}
返回失败示例
{
"code": 102,
"message": "参数不合法",
"error_details": [
"sid => sid不能为空"
],
"request_id": "5DBA1950-9910-9202-0A91-A9E451D1691B",
"response_time": "2022-08-16 17:54:06",
"data": [],
"total": 0
}